
Redmine - Defect #4227

session_store.rb isn't being processed

2009-11-17 10:32 - Jorge López

Status: Closed Start date: 2009-11-17

Priority: High Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution: Fixed Affected version: 0.8.7

Description

I'm running Redmine 0.8.7 on Apache 2.2.3, Passenger 2.2.5, Rails 2.1.2 and Ruby 1.8.5, on a RHEL 4.5.

After upgrading from 0.8.6, I ran the following command as stated on upgrade guide:

rake config/initializers/session_store.rb

 After restarting Apache, Redmine just doesn't work. Passenger shows an exception, and the following lines appear on logs:

*** Exception ApplicationController::MissingSessionSecret in PhusionPassenger::Railz::ApplicationS

pawner (Missing session secret. Please run 'rake config/initializers/session_store.rb' to generate

 one) (process 18731):

        from /opt/redmine/app/controllers/application.rb:29

        from /usr/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:31:in `gem_original_require'

        from /usr/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:31:in `require'

        from /usr/lib/ruby/gems/1.8/gems/activesupport-2.1.2/lib/active_support/dependencies.rb:51

0:in `require'

        from /usr/lib/ruby/gems/1.8/gems/activesupport-2.1.2/lib/active_support/dependencies.rb:35

5:in `new_constants_in'

[....]

 config/initializers/session_store.rb exists and has valid content. I have tried inserting some rubbish characters inside it and restarting

Apache, and Passenger doesn't throw any kind of error, so I think session_store.rb isn't being read.

At this moment I have session generation options included on config/environment.rb as a workaround.

History

#1 - 2009-11-17 11:21 - Jean-Philippe Lang

Can not reproduce. Make sure that the generated session_store.rb has appropriate permissions (readable by the application).

#2 - 2009-11-17 12:00 - Jorge López

File is readable for the application:

-rw-r--r-- 1 nobody nobody  688 nov 17 12:03 session_store.rb

 I have completely disabled SELinux to avoid permission conflicts with no new results.

#3 - 2009-11-17 12:45 - Jean-Philippe Lang

Do you have some Redmine plugins installed ?

Maybe one of them tries to load ApplicationController before session_store.rb is loaded.

#4 - 2009-11-17 12:57 - Jorge López

- Status changed from New to Resolved

You're right. I'm using your redmine_bots_filter plugin and after moving it out from plugins directory, Redmine has started working perfect.

So the plugin seems to be incompatible with 0.8.7.
I'm changing the status to resolved, what should I do with the plugin?

Thank you very much.

#5 - 2009-11-17 13:22 - Jean-Philippe Lang

You can get a fixed version of the plugin here: PluginBotsFilter.

#6 - 2009-11-17 13:45 - Jorge López

Jean-Philippe Lang wrote:

You can get a fixed version of the plugin here: PluginBotsFilter.

 It works like a charm now. Thank you again.

#7 - 2009-11-19 20:30 - Jean-Philippe Lang

- Status changed from Resolved to Closed

- Resolution set to Fixed

Thanks for the feedback.

#8 - 2011-10-25 12:58 - Moris Walls
